#include <iostream>
#include <cmath>
using namespace std;

int main() {
	int N, M, r, i;
	
	cin >> N >> M;
	
	r = M*N;
	for (i = 1; i < N-1; i++) {
		if (i % 2 == 1) r -= ceil(M/2);
		else r -= ceil(M/4);
	}
	cout << r;
	
	return 1;
}